सामग्री पर जाएँ

Nano Banana 2 Edit

इंटीग्रेट करें

मॉडल id nano-banana-2/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/nano-banana-2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Turn this photo into a 1:7 scale collectible figurine of the dog on a round clear acrylic base, standing on a tidy wooden desk with soft studio light; keep the dog'\''s pose, fur colors and expression.",
    "images": [
      "https://content.doitong.com/dev-api/2026/10/21/req_3yckkmcr3dayonfhigdeaiia/0-pz7p4ydjvjJmL__s7lK6p_L0WSl1GK.png"
    ],
    "resolution": "1K"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.08 80 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Google इमेज एडिटिंग 4K आउटपुट4K तक #editing#fast#multimodal

तेज़ निर्देश-आधारित संपादन, जो संदर्भ के रूप में वीडियो, ऑडियो क्लिप या PDF भी पढ़ सकता है।

उदाहरण

इनपुट
आउटपुट · ~21 s
Turn this photo into a 1:7 scale collectible figurine of the dog on a round clear acrylic base, standing on a tidy wo...

प्रॉम्प्टTurn this photo into a 1:7 scale collectible figurine of the dog on a round clear acrylic base, standing on a tidy wooden desk with soft studio light; keep the dog's pose, fur colors and expression.

1K$0.08 · 80 API क्रेडिट

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 198 / 50000

इमेज संपादित करने के लिए टेक्स्ट निर्देश।

image_urls
फ़ाइल ड्रॉप करें, या

इमेज संपादन या इमेज-टू-इमेज निर्माण के लिए स्रोत इमेज के URL दें, जब तक कि आप कम से कम एक वैकल्पिक इनपुट न दें: `video_url`, `audio_url`, या `pdf_url`।

resolution

आउटपुट इमेज का रिज़ॉल्यूशन।

thinking_level

उस स्तर पर मॉडल की सोच सक्रिय करने और उसके विचारों को निर्माण में शामिल करने के लिए 'minimal' या 'high' चुनें; स्तर सेट न करने पर सोचने की सुविधा बंद रहती है।

डिफ़ॉल्ट auto

आउटपुट इमेज का आस्पेक्ट रेशियो, जिसमें चरम विकल्प 4:1, 1:4, 8:1, 1:8 शामिल हैं।

num_images डिफ़ॉल्ट 1

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत system_prompt · video · audio · output_format · safety_tolerance · pdf_url · seed · limit_generations
0 / 50000

वैकल्पिक, पूरे अनुरोध पर लागू होने वाला व्यक्तित्व और आउटपुट-शैली संबंधी मार्गदर्शन, जिसे Gemini को सिस्टम निर्देश के रूप में या OpenAI-संगत प्रदाताओं को सिस्टम संदेश के रूप में भेजा जाता है। मान खाली होने पर इस निर्देश के लिए कुछ भी नहीं भेजा जाता।

video_url
फ़ाइल ड्रॉप करें, या

वैकल्पिक वीडियो संदर्भ, जो YouTube URL या वीडियो फ़ाइल के लिए http(s)/data URL के रूप में दिया जाता है। YouTube लिंक बिना डाउनलोड किए सीधे मॉडल तक पहुँचते हैं; वीडियो फ़ाइलें डाउनलोड करके इनलाइन भेजी जाती हैं, जिनकी अधिकतम सीमा 15 MB है।

audio_url
फ़ाइल ड्रॉप करें, या

15 MB से बड़ी न होने वाली फ़ाइल की ओर संकेत करने वाले http(s) या data URL के माध्यम से वैकल्पिक ऑडियो संदर्भ दें। डाउनलोड के बाद फ़ाइल इनलाइन भेजी जाती है।

output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

safety_tolerance डिफ़ॉल्ट 4

कंटेंट मॉडरेशन सहनशीलता को सबसे कम प्रतिबंधात्मक स्तर 6 और सबसे कड़े स्तर 1 के बीच सेट करें; स्तर 1 अधिकांश कंटेंट को ब्लॉक करता है।

15 MB से बड़े न होने वाले दस्तावेज़ की ओर संकेत करने वाले http(s) या data URL के माध्यम से वैकल्पिक PDF संदर्भ दें। डाउनलोड के बाद दस्तावेज़ इनलाइन भेजा जाता है।

रैंडम-नंबर निर्माण शुरू करने वाला सीड मान।

POST /run/nano-banana-2/edit?wait=20 कोटेशन → $0.08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/nano-banana-2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Turn this photo into a 1:7 scale collectible figurine of the dog on a round clear acrylic base, standing on a tidy wooden desk with soft studio light; keep the dog'\''s pose, fur colors and expression.",
    "images": [
      "https://content.doitong.com/dev-api/2026/10/21/req_3yckkmcr3dayonfhigdeaiia/0-pz7p4ydjvjJmL__s7lK6p_L0WSl1GK.png"
    ],
    "resolution": "1K"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Nano Banana 2 Edit के बारे में

Nano Banana 2 का संपादन मोड: छवियाँ दें और बदलाव का वर्णन करें, या छवियाँ छोड़कर संदर्भ के रूप में कोई वीडियो, ऑडियो फ़ाइल या PDF (प्रत्येक अधिकतम 15 MB) दें। 0.5K से 4K तक आउटपुट, 1:8 से 8:1 तक आस्पेक्ट रेशियो, वैकल्पिक वेब खोज और उच्च थिंकिंग के साथ, प्रति अनुरोध अधिकतम चार परिणाम।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 50,000 अक्षर≥ 3 अक्षर
इमेज संपादित करने के लिए टेक्स्ट निर्देश।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्माण के लिए अनुरोधित इमेज की संख्या।
seedवैकल्पिक
प्रकारinteger | null
रैंडम-नंबर निर्माण शुरू करने वाला सीड मान।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto21:916:93:24:35:41:14:53:42:39:164:11:48:11:8
आउटपुट इमेज का आस्पेक्ट रेशियो, जिसमें चरम विकल्प 4:1, 1:4, 8:1, 1:8 शामिल हैं।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
safety_toleranceवैकल्पिक
प्रकारenum
डिफ़ॉल्ट4
123456
कंटेंट मॉडरेशन सहनशीलता को सबसे कम प्रतिबंधात्मक स्तर 6 और सबसे कड़े स्तर 1 के बीच सेट करें; स्तर 1 अधिकांश कंटेंट को ब्लॉक करता है।
image_urlsवैकल्पिक images
प्रकारurl[] · image
इमेज संपादन या इमेज-टू-इमेज निर्माण के लिए स्रोत इमेज के URL दें, जब तक कि आप कम से कम एक वैकल्पिक इनपुट न दें: `video_url`, `audio_url`, या `pdf_url`।
system_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
≤ 50,000 अक्षर
वैकल्पिक, पूरे अनुरोध पर लागू होने वाला व्यक्तित्व और आउटपुट-शैली संबंधी मार्गदर्शन, जिसे Gemini को सिस्टम निर्देश के रूप में या OpenAI-संगत प्रदाताओं को सिस्टम संदेश के रूप में भेजा जाता है। मान खाली होने पर इस निर्देश के लिए कुछ भी नहीं भेजा जाता।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1K
0.5K1K2K4K
आउटपुट इमेज का रिज़ॉल्यूशन।
video_urlवैकल्पिक video
प्रकारurl · video
वैकल्पिक वीडियो संदर्भ, जो YouTube URL या वीडियो फ़ाइल के लिए http(s)/data URL के रूप में दिया जाता है। YouTube लिंक बिना डाउनलोड किए सीधे मॉडल तक पहुँचते हैं; वीडियो फ़ाइलें डाउनलोड करके इनलाइन भेजी जाती हैं, जिनकी अधिकतम सीमा 15 MB है।
audio_urlवैकल्पिक audio
प्रकारurl · audio
15 MB से बड़ी न होने वाली फ़ाइल की ओर संकेत करने वाले http(s) या data URL के माध्यम से वैकल्पिक ऑडियो संदर्भ दें। डाउनलोड के बाद फ़ाइल इनलाइन भेजी जाती है।
pdf_urlवैकल्पिक
प्रकारstring | null
15 MB से बड़े न होने वाले दस्तावेज़ की ओर संकेत करने वाले http(s) या data URL के माध्यम से वैकल्पिक PDF संदर्भ दें। डाउनलोड के बाद दस्तावेज़ इनलाइन भेजा जाता है।
limit_generationsवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
प्रायोगिक निर्माण सीमा, सक्षम होने पर गुणवत्ता को प्रभावित कर सकती है। `True` के साथ, प्रत्येक प्रॉम्प्टिंग राउंड 1 निर्माण तक सीमित रहता है, प्रॉम्प्ट में दिए गए इमेज-गणना निर्देशों को ओवरराइड करता है और मॉडल द्वारा निर्मित मध्यवर्ती इमेज को अनदेखा करता है।
thinking_levelवैकल्पिक
प्रकारenum
minimalhigh
उस स्तर पर मॉडल की सोच सक्रिय करने और उसके विचारों को निर्माण में शामिल करने के लिए 'minimal' या 'high' चुनें; स्तर सेट न करने पर सोचने की सुविधा बंद रहती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nano-banana-2/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "Turn this night street scene into a sunny morning, keep the sneaker and the puddle reflections",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
    ],
    "resolution": "1K"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}संपादन से प्राप्त इमेज।
description
stringनिर्मित इमेज के साथ दिया गया विवरण।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/nano-banana-2/edit.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt